<?php
// Joomla Mindmap Generator
//
// Please upload all files of this archive into a directory of
// your Webspace with a Joomla installation and edit the config.php.
//
// This tool retreives content items, newsfeeds and weblinks directly from Joomla database
// and creates a nice flash based Mindmap of the whole site. Note that users need macromedia flash player 7 or 8
// to see the mind map.
//
// You may create menu link in Joomla to the index.php as the sitemap of your website. Google is usually able to index it.
//
// Created by (C) Dipl-Ing. Mustafa Goermezer
// http://www.goermezer.de ( mustafa@goermezer.de )
//
// This software is donationware. If you want to remove the branding and the backlink,
// please make a donation of 50 â‚¬ to mustafa@goermezer.de. I will tell you how you can do that.
//
//
// Please don`t edit anything from here! Your map will be corrupted.
//
//-------------------------------------------------------------------

header('content-type: text/xml; charset=utf-8');
include('config.php');
include($joomla_config_file);

echo '<map version="0.8.0">';
echo '<node '.$main_node_bgcolor.' '.$main_font_color.' TEXT="&lt;html&gt;&lt;a href=&quot;'.$jconf->live_site.'&quot; target=&quot;_parent&quot;&gt;'.utf8_encode($sitename).'&lt;/a&gt;">';
echo '<icon BUILTIN="gohome"/>';
echo '<edge STYLE="'.$line_style.'" COLOR="#6666ff" WIDTH="'.$line_thickness.'"/>';
$position = 'left';
foreach ($modules as $module) {
          echo '<node '.$main_node_bgcolor.' '.$main_font_color.' STYLE="'.$index_style.'" TEXT="'.ucfirst($module).' ">';
          include($module.'.php');
          echo '</node>';
          if ($position=='left') {
       $position='right';
    } else {
       $position='left';
    }
}
    echo '<node TEXT="You like this ?" STYLE="bubble">';
        echo '<node TEXT="What is JoomlaMindmap ?">';
          echo '<hook>';
          echo '<text>JoomlaMindmap is a flash based web application which generates this mind map structure from the whole Joomla content.&#xa;&#xa;You can view and search through all standard Joomla CMS content (content entries, weblinks, newsfeeds, etc.).&#xa;&#xa;JoomlaMindmap is available for Joomla 1.0.x and Joomla 1.5.</text>';
        echo '</hook>';
      echo '</node>';
    #echo '<cloud COLOR="#ccccff"/>';
    echo '<node TEXT="Download JoomlaMindmap for Joomla! 1.5 directly from here" LINK="http://www.goermezer.de/dmdocuments/mindmapping/JoomlaMindmap1.5.zip">';
    echo '</node>';
    echo '<node TEXT="Visit the Website of JoomlaMindmap (german) where you can get other mind map applications." LINK="http://www.goermezer.de/content-management/joomla-mind-mapping/357-joomlamindmap-die-etwas-andere-sitemap.html">';
    echo '</node>';
    echo '<icon BUILTIN="messagebox_warning">';
    echo'</node>';
echo'</node>';

?>
</map>